// Persistence of Vision RayTracer version 2.2 Scene description file
// File: WORLD1.INC
// Description: A world in which the models get placed...
// Date: 03/02/94
// Author: Anton Raves
//

#declare n1 =
texture {
  pigment {
    gradient <0, 1, 0> 
    color_map {
      [ 0.000 0.308 color red 0.722 green 0.722 blue 0.992 filter 0 
                    color red 0.333 green 0.333 blue 0.584 filter 0 ]
      [ 0.308 0.992 color red 0.333 green 0.333 blue 0.584 filter 0
                    color red 0.016 green 0.016 blue 0.231 filter 0 ]
      [ 0.992 1.001 color red 0.016 green 0.016 blue 0.231 filter 0
                    color red 0.722 green 0.722 blue 0.992 filter 0 ]
    }
  }
  finish { ambient 1 diffuse 0 }
}

#declare n2 =
texture {
  turbulence 0.8
  pigment {
    bozo
    color_map {
      [ 0.000 0.252 color red 0.722 green 0.722 blue 0.992 filter 0.890 
                    color red 0.333 green 0.333 blue 0.584 filter 0.859 ]
      [ 0.252 0.798 color red 0.333 green 0.333 blue 0.584 filter 0.859
                    color red 0.918 green 0.922 blue 0.929 filter 0 ]
      [ 0.798 0.992 color red 0.918 green 0.922 blue 0.929 filter 0
                    color red 0.529 green 0.522 blue 0.733 filter 0.243 ]
      [ 0.992 1.001 color red 0.529 green 0.522 blue 0.733 filter 0.243
                    color red 0.722 green 0.722 blue 0.992 filter 0.890 ]
    }
  }
  finish { ambient 1 diffuse 0 }
}

#declare n2x =
texture {
  turbulence 0.8
  pigment {
    bozo
    color_map {
      [ 0.000 0.252 color red 0.722 green 0.722 blue 0.992 filter 0.890 
                    color red 0.333 green 0.333 blue 0.584 filter 0.859 ]
      [ 0.252 0.798 color red 0.333 green 0.333 blue 0.584 filter 0.859
                    color red 0.918 green 0.922 blue 0.929 filter 0.22 ]
      [ 0.798 0.992 color red 0.918 green 0.922 blue 0.929 filter 0.229
                    color red 0.529 green 0.522 blue 0.733 filter 0.243 ]
      [ 0.992 1.001 color red 0.529 green 0.522 blue 0.733 filter 0.243
                    color red 0.722 green 0.722 blue 0.992 filter 0.890 ]
    }
  }
  finish { ambient 1 diffuse 0 }
}

#declare Atmosphere =
texture { n1 scale <1, 2, 1> rotate 180*z }
texture { n2x translate <1, 0, 0> }
texture { n2 scale <2, 0.5, 1> translate <0, -1, 0> }

object { sphere { <0, 0, 0> 1 } inverse texture { Atmosphere } scale <8000, 5000, 8000> }
