// Persistance of Vision RayTracer version 2.2 Scene Description File
// File: BASE_1.INC
// Description: Base plate for airports (a straight one!)
// Date: 03/02/94
// Author: Anton Raves
//

#declare Row_1 =
object { 
  union {
    object { button }
    object { button translate <0, 0, 8> }
    object { button translate <0, 0, 16> }
    object { button translate <0, 0, 24> }
    object { button translate <0, 0, 32> }
    object { button translate <0, 0, 40> }
    object { button translate <0, 0, 48> }
    object { button translate <0, 0, 56> }
    object { button translate <0, 0, 64> }
    object { button translate <0, 0, 72> }
    object { button translate <0, 0, 80> }
    object { button translate <0, 0, 88> }
    object { button translate <0, 0, 96> }
    object { button translate <0, 0, 104> }
    object { button translate <0, 0, 112> }
    object { button translate <0, 0, 120> }
    object { button translate <0, 0, 128> }
    object { button translate <0, 0, 136> }
    object { button translate <0, 0, 144> }
    object { button translate <0, 0, 152> }
    object { button translate <0, 0, 160> }
    object { button translate <0, 0, 168> }
    object { button translate <0, 0, 176> }
    object { button translate <0, 0, 184> }
    object { button translate <0, 0, 192> }
    object { button translate <0, 0, 200> }
    object { button translate <0, 0, 208> }
    object { button translate <0, 0, 216> }
    object { button translate <0, 0, 224> }
    object { button translate <0, 0, 232> }
    object { button translate <0, 0, 240> }
    object { button translate <0, 0, 248> }
  }
  bounded_by { box { <-5, -1, -5> <5, 3, 253> } }
}

#declare Base_plate_1 =
object {
  union {
    object { Row_1 }
    object { Row_1 translate <8, -2, 0> }
    object { Row_1 translate <16, -2, 0> }
    object { Row_1 translate <24, -2, 0> }
    object { Row_1 translate <32, -2, 0> }
    object { Row_1 translate <40, -2, 0> }
    object { Row_1 translate <48, -2, 0> }
    object { Row_1 translate <56, -2, 0> }
    object { Row_1 translate <64, -2, 0> }

    object { Row_1 translate <184, -2, 0> }
    object { Row_1 translate <192, -2, 0> }
    object { Row_1 translate <200, -2, 0> }
    object { Row_1 translate <208, -2, 0> }
    object { Row_1 translate <216, -2, 0> }
    object { Row_1 translate <224, -2, 0> }
    object { Row_1 translate <232, -2, 0> }
    object { Row_1 translate <240, -2, 0> }
    object { Row_1 translate <248, -2, 0> }
    difference {
      box { <0, 0, -4> <248, 1, 252> }
      box { <68, .5, -5> <180, 1.5, 253> }
    }
    box {
      <-56, -128, -.25> <56, 128, .25>
      texture {
        material_map { gif "base_1.gif" map_type 0 once interpolate 4
          texture { Black_tex }
          texture { White_tex }
          texture { Grey_tex }
        }
        translate <-.5, -.5, 0>
        scale <112, 256, 1>
      }
      rotate 90*x
      translate <124, .75, 124>
    }
    box { <-4, 0, 0> <0, 1, 248> }
    box { <248, 0, 0> <252, 1, 248> }
    difference {
      box { <0, 0, -4> <248, 1, 0> }
      box { <68, .5, -5> <180, 1.5, 1> }
    }
    difference {
      box { <0, 0, 248> <248, 1, 252> }
      box { <68, .5, 247> <180, 1.5, 253> }
    }
    cylinder { 0*y, 1*y, 4 }
    cylinder { 0*y, 1*y, 4 translate <248, 0, 0> }
    cylinder { 0*y, 1*y, 4 translate <248, 0, 248> }
    cylinder { 0*y, 1*y, 4 translate <0, 0, 248> }
    texture { Green_tex }
    bounded_by { box { <-5, -1, -5> <253, 3, 253> } }
  }
  no_shadow
}
